#ifndef ALJOYSTICK_H
#define ALJOYSTICK_H
#include <linux/joystick.h>
#include "control.h"
#include "point.h"

class
Joystick : public Control
{
private:
	void init(int stick);
	void waitfire(void);
	int joyfd;
	struct JS_DATA_TYPE js_data;
	point centre, topleft, botright;
	int right,left,down,up;
public:
	Joystick(int j=1);

	void calibrate(void);
	void fetch(void);
};
#endif
